const formContentTypes = ["application/x-www-form-urlencoded", "multipart/form-data"];
async function getAction(pathKeys) {
  let { default: actionLookup } = await import(import.meta.env.ACTIONS_PATH);
  for (const key of pathKeys) {
    if (!(key in actionLookup)) {
      throw new Error("Action not found");
    }
    actionLookup = actionLookup[key];
  }
  if (typeof actionLookup !== "function") {
    throw new Error("Action not found");
  }
  return actionLookup;
}
export {
  formContentTypes,
  getAction
};
