import { z } from 'zod';
import type { APIContext } from '../../../@types/astro.js';
import type { MaybePromise } from '../utils.js';
export * from './shared.js';
export declare function defineAction<TOutput, TInputSchema extends z.ZodType>({ input: inputSchema, handler, acceptFormData, }: {
    input?: TInputSchema;
    handler: (input: z.infer<TInputSchema>, context: APIContext) => MaybePromise<TOutput>;
    acceptFormData?: boolean;
}): (input: z.input<TInputSchema>) => Promise<Awaited<TOutput>>;
